/**
 * inversify-binding-decorators v.1.0.0-beta.5 - An utility that allows developers to declare InversifyJS bindings using ES2016 decorators
 * Copyright (c) 2015 Remo H. Jansen <remo.jansen@wolksoftware.com> (http://www.remojansen.com)
 * MIT inversify.io/LICENSE
 * https://github.com/inversify/inversify-binding-decorators#readme
 */
import { decorate, injectable } from "inversify";
var ProvideDoneSyntax = (function () {
    function ProvideDoneSyntax(binding) {
        this._binding = binding;
    }
    ProvideDoneSyntax.prototype.done = function () {
        var _this = this;
        return function (target) {
            decorate(injectable(), target);
            _this._binding.implementationType = target;
            return target;
        };
    };
    return ProvideDoneSyntax;
}());
export default ProvideDoneSyntax;
