/**
 * inversify-binding-decorators v.1.0.0-beta.5 - An utility that allows developers to declare InversifyJS bindings using ES2016 decorators
 * Copyright (c) 2015 Remo H. Jansen <remo.jansen@wolksoftware.com> (http://www.remojansen.com)
 * MIT inversify.io/LICENSE
 * https://github.com/inversify/inversify-binding-decorators#readme
 */
"use strict";
var provide_when_on_syntax_1 = require("./provide_when_on_syntax");
var provide_when_syntax_1 = require("./provide_when_syntax");
var provide_on_syntax_1 = require("./provide_on_syntax");
var provide_done_syntax_1 = require("./provide_done_syntax");
var ProvideInSyntax = (function () {
    function ProvideInSyntax(bindingInSyntax, provideDoneSyntax) {
        this._bindingInSyntax = bindingInSyntax;
        this._provideDoneSyntax = provideDoneSyntax;
    }
    ProvideInSyntax.prototype.inSingletonScope = function () {
        var bindingWhenOnSyntax = this._bindingInSyntax.inSingletonScope();
        var provideWhenSyntax = new provide_when_syntax_1.default(bindingWhenOnSyntax, this._provideDoneSyntax);
        var provideOnSyntax = new provide_on_syntax_1.default(bindingWhenOnSyntax, this._provideDoneSyntax);
        return new provide_when_on_syntax_1.default(provideWhenSyntax, provideOnSyntax);
    };
    ProvideInSyntax.prototype.done = function () {
        var binding = this._bindingInSyntax._binding;
        var provideDoneSyntax = new provide_done_syntax_1.default(binding);
        return provideDoneSyntax.done();
    };
    return ProvideInSyntax;
}());
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ProvideInSyntax;
